component{
	
	// AOP convention via ColdBox
	function aroundHandler(event,targetAction){
		var rc = event.getCollection();
		//default format is html
		event.paramValue("format","html");
		// log incoming request
		log.debug("Incoming request for route: #event.getCurrentRoute()#");
		// prepare results all rest requests will use
		rc.results = prepareResults();
		// execute the action
		var r = arguments.targetAction(event,rc,event.getCollection(private=true));
		// Renderdata out uniformily
		if( rc.format neq "html"){
			event.renderData(data=rc.results,type=rc.format);
		}
		//log results
		log.debug("Results for route: #event.getCurrentRoute()#", rc.results );
		//results if sent
		if( !isNull(r) ){
			return r;
		}
	}
	
	// Eror trapping by convention 
	function onError(event,faultAction,exception){
		var rc	= event.getCollection();
		// default is JSON if none found
		event.paramValue("format","json");
		
		rc.results = prepareResults();
		rc.results.error = true;
		rc.results.messages = "The action:#faultaction# failed: #exception.detail# #exception.message#";
		
		log.error(rc.results.messages, exception);
		
		// set Header and render data
		event.setHTTPHeader(500,rc.results.messages)
			.renderData(data=rc.results,type=rc.format);
	}
	
	// prepare a results structure, I would suggest modeling this in an object.
	private function prepareResults(){
		var results = {
			error 		= false,
			messages 	= "",
			data 		= ""
		};	
		return results;
	}

}